Subject: Re: linux-next: kbuild tree build failure

From: "Jan Beulich" <[email-masked]>
Date: Tue, 05 May 2009 07:35:02 +0100

>>> Stephen Rothwell <[email-masked]> 05.05.09 03:17 >>>
>OK, looking at the preprocessor output, I see we have a previous variable
>(static match_table_t __initconst tokens) with __attribute__ ((__section__
>(".init.rodata"))) but it is not const ... (This came from commit
>a447c0932445f92ce6f4c1bd020f62c5097a7842 "vfs: Use const for kernel
>parser table" which changed "tokens" from __initdata to __initconst.  Not
>using "const" seems deliberate, but the changelog does not include enough
>information as to why.)
>
>So, I will revert the above commit for today to allow it to be "improved"
>by also fixing the tokens variable definition above.  Of course there may
>be other places where such mixed definitions exist.

That is the downside of not folding the 'const' modifier into the __initconst
annotation. It is *always* an error to annotate something __initconst but
not also make it const.

Jan